Liferay.Loader.define("dynamic-data-mapping-form-renderer@5.0.71/index", ['module', 'exports', 'require', './js/util/compose.es', './js/util/fields.es', './js/util/repeatable.es', './js/util/visitors.es', './js/util/FormSupport.es', './js/util/ReactComponentAdapter.es', './js/components/Pages.es', './js/actions/eventTypes.es', './js/hooks/usePage.es', './js/hooks/useForm.es', './js/components/PageRenderer/Layout.es', './js/components/PageRenderer/DefaultVariant.es', './js/containers/Form.es', './js/containers/FormNoop.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    Object.defineProperty(exports, "compose", {
      enumerable: true,
      get: function get() {
        return _compose.default;
      }
    });
    Object.defineProperty(exports, "normalizeFieldName", {
      enumerable: true,
      get: function get() {
        return _fields.normalizeFieldName;
      }
    });
    Object.defineProperty(exports, "getRepeatedIndex", {
      enumerable: true,
      get: function get() {
        return _repeatable.getRepeatedIndex;
      }
    });
    Object.defineProperty(exports, "generateName", {
      enumerable: true,
      get: function get() {
        return _repeatable.generateName;
      }
    });
    Object.defineProperty(exports, "generateInstanceId", {
      enumerable: true,
      get: function get() {
        return _repeatable.generateInstanceId;
      }
    });
    Object.defineProperty(exports, "parseName", {
      enumerable: true,
      get: function get() {
        return _repeatable.parseName;
      }
    });
    Object.defineProperty(exports, "PagesVisitor", {
      enumerable: true,
      get: function get() {
        return _visitors.PagesVisitor;
      }
    });
    Object.defineProperty(exports, "RulesVisitor", {
      enumerable: true,
      get: function get() {
        return _visitors.RulesVisitor;
      }
    });
    Object.defineProperty(exports, "getConnectedReactComponentAdapter", {
      enumerable: true,
      get: function get() {
        return _ReactComponentAdapter.getConnectedReactComponentAdapter;
      }
    });
    Object.defineProperty(exports, "Pages", {
      enumerable: true,
      get: function get() {
        return _Pages.default;
      }
    });
    Object.defineProperty(exports, "EVENT_TYPES", {
      enumerable: true,
      get: function get() {
        return _eventTypes.EVENT_TYPES;
      }
    });
    Object.defineProperty(exports, "PageProvider", {
      enumerable: true,
      get: function get() {
        return _usePage.PageProvider;
      }
    });
    Object.defineProperty(exports, "usePage", {
      enumerable: true,
      get: function get() {
        return _usePage.usePage;
      }
    });
    Object.defineProperty(exports, "FormProvider", {
      enumerable: true,
      get: function get() {
        return _useForm.FormProvider;
      }
    });
    Object.defineProperty(exports, "FormNoopProvider", {
      enumerable: true,
      get: function get() {
        return _useForm.FormNoopProvider;
      }
    });
    Object.defineProperty(exports, "useForm", {
      enumerable: true,
      get: function get() {
        return _useForm.useForm;
      }
    });
    Object.defineProperty(exports, "Layout", {
      enumerable: true,
      get: function get() {
        return _Layout.Layout;
      }
    });
    Object.defineProperty(exports, "Form", {
      enumerable: true,
      get: function get() {
        return _Form.default;
      }
    });
    Object.defineProperty(exports, "FormNoop", {
      enumerable: true,
      get: function get() {
        return _FormNoop.FormNoop;
      }
    });
    exports.DefaultVariant = exports.FormSupport = void 0;

    var _compose = _interopRequireDefault(require("./js/util/compose.es"));

    var _fields = require("./js/util/fields.es");

    var _repeatable = require("./js/util/repeatable.es");

    var _visitors = require("./js/util/visitors.es");

    var _FormSupport = _interopRequireWildcard(require("./js/util/FormSupport.es"));

    exports.FormSupport = _FormSupport;

    var _ReactComponentAdapter = require("./js/util/ReactComponentAdapter.es");

    var _Pages = _interopRequireDefault(require("./js/components/Pages.es"));

    var _eventTypes = require("./js/actions/eventTypes.es");

    var _usePage = require("./js/hooks/usePage.es");

    var _useForm = require("./js/hooks/useForm.es");

    var _Layout = require("./js/components/PageRenderer/Layout.es");

    var _DefaultVariant = _interopRequireWildcard(require("./js/components/PageRenderer/DefaultVariant.es"));

    exports.DefaultVariant = _DefaultVariant;

    var _Form = _interopRequireDefault(require("./js/containers/Form.es"));

    var _FormNoop = require("./js/containers/FormNoop.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map