Liferay.Loader.define("dynamic-data-mapping-form-renderer@5.0.71/js/components/PageRenderer/PaginatedVariant.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', 'frontend-js-react-web$react', '../Pagination.es', '../PaginationControls.es', './DefaultVariant.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.Container = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _Pagination = require("../Pagination.es");

    var _PaginationControls = require("../PaginationControls.es");

    var DefaultVariant = _interopRequireWildcard(require("./DefaultVariant.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */

    /* eslint-disable react/jsx-fragments */
    var Container = function Container(_ref) {
      var activePage = _ref.activePage,
          children = _ref.children,
          pageIndex = _ref.pageIndex,
          pages = _ref.pages,
          readOnly = _ref.readOnly,
          showSubmitButton = _ref.showSubmitButton,
          strings = _ref.strings,
          submitLabel = _ref.submitLabel;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "ddm-form-page-container paginated"
        }, /*#__PURE__*/_react.default.createElement(DefaultVariant.Container, {
          activePage: activePage,
          pageIndex: pageIndex
        }, children), pageIndex === activePage && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, pages.length > 0 && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Pagination.Pagination, {
          activePage: activePage,
          pages: pages
        }), /*#__PURE__*/_react.default.createElement(_PaginationControls.PaginationControls, {
          activePage: activePage,
          readOnly: readOnly,
          showSubmitButton: showSubmitButton,
          strings: strings,
          submitLabel: submitLabel,
          total: pages.length
        })), !pages.length && showSubmitButton && /*#__PURE__*/_react.default.createElement(_button.default, {
          className: "float-right lfr-ddm-form-submit",
          id: "ddm-form-submit",
          type: "submit"
        }, submitLabel)))
      );
    };

    exports.Container = Container;
    //# sourceMappingURL=PaginatedVariant.es.js.map
  }
});
//# sourceMappingURL=PaginatedVariant.es.js.map