Liferay.Loader.define('dynamic-data-mapping-form-renderer@5.0.71/js/actions/eventTypes.es', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.EVENT_TYPES = void 0;

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var PUBLIC_EVENTS = {
      CHANGE_ACTIVE_PAGE: 'activePageUpdated',
      FIELD_BLUR: 'fieldBlurred',
      FIELD_CHANGE: 'fieldEdited',
      FIELD_DROP: 'fieldDrop',
      FIELD_EVALUATED: 'evaluated',
      FIELD_EVALUATION_ERROR: 'evaluationError',
      FIELD_FOCUS: 'fieldFocused',
      FIELD_REMOVED: 'fieldRemoved',
      FIELD_REPEATED: 'fieldRepeated',
      PAGE_ADDED: 'pageAdded',
      PAGE_DELETED: 'pageDeleted',
      PAGE_RESET: 'pageReset',
      PAGE_SWAPPED: 'pagesSwapped',
      PAGE_UPDATED: 'pagesUpdated',
      PAGE_VALIDATION_FAILED: 'pageValidationFailed',
      SUCCESS_CHANGED: 'successPageChanged'
    };
    var PRIVATE_EVENTS = {
      ALL: 'all',
      UPDATE_DATA_RECORD_VALUES: 'update_data_record_values',
      UPDATE_PAGES: 'update_pages'
    };

    var EVENT_TYPES = _objectSpread(_objectSpread({}, PUBLIC_EVENTS), PRIVATE_EVENTS);

    exports.EVENT_TYPES = EVENT_TYPES;
    //# sourceMappingURL=eventTypes.es.js.map
  }
});
//# sourceMappingURL=eventTypes.es.js.map