Liferay.Loader.define("dynamic-data-mapping-form-renderer@5.0.71/js/thunks/fieldBlur.es", ['module', 'exports', 'require', '../actions/eventTypes.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = fieldBlur;

    var _eventTypes = require("../actions/eventTypes.es");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function fieldBlur(_ref) {
      var activePage = _ref.activePage,
          focusDuration = _ref.focusDuration,
          formId = _ref.formId,
          formPageTitle = _ref.formPageTitle,
          properties = _ref.properties,
          title = _ref.title;
      return function (dispatch) {
        var _focusDuration$start;

        var fieldInstance = properties.fieldInstance;
        dispatch({
          payload: properties,
          type: _eventTypes.EVENT_TYPES.FIELD_BLUR
        });
        Liferay.fire('ddmFieldBlur', {
          fieldName: fieldInstance.label,
          focusDuration: focusDuration.end - ((_focusDuration$start = focusDuration.start) !== null && _focusDuration$start !== void 0 ? _focusDuration$start : focusDuration.end),
          formId: formId,
          formPageTitle: formPageTitle,
          page: activePage,
          title: title
        });
      };
    }
    //# sourceMappingURL=fieldBlur.es.js.map
  }
});
//# sourceMappingURL=fieldBlur.es.js.map